#include "Core/Time.h"

#include "Core/TimeObserver.h"

#include <algorithm>
#include <functional>

// size_t _day;
// std::set<TimeObserver*> obs_set;
void Time::attach(TimeObserver *obs){
	obs_set.insert(obs);
}
void Time::detach(TimeObserver *obs){

}
Time& Time::operator++(){

}
size_t Time::day(){

}
